curl --request POST \
--url 'https://api.stateset.com/api/v1/ar/collection-activities' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"activity_type": "string",
"contact_method": "string",
"contact_result": "string",
"dunning_letter_type": "string",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"performed_by": "string",
"promise_to_pay_amount": "49.00",
"promise_to_pay_date": "2026-08-31T14:22:05Z"
}'
{
"activity_type": "string",
"contact_method": "string",
"contact_result": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"dunning_letter_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"performed_by": "string",
"promise_to_pay_amount": "49.00",
"promise_to_pay_date": "2026-08-31T14:22:05Z"
}
Ar record collection activity
Ar record collection activity
POST
/
api
/
v1
/
ar
/
collection-activities
curl --request POST \
--url 'https://api.stateset.com/api/v1/ar/collection-activities' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"activity_type": "string",
"contact_method": "string",
"contact_result": "string",
"dunning_letter_type": "string",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"performed_by": "string",
"promise_to_pay_amount": "49.00",
"promise_to_pay_date": "2026-08-31T14:22:05Z"
}'
{
"activity_type": "string",
"contact_method": "string",
"contact_result": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"dunning_letter_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"performed_by": "string",
"promise_to_pay_amount": "49.00",
"promise_to_pay_date": "2026-08-31T14:22:05Z"
}
Request body
CreateArCollectionActivityRequest
string
required
One of
dunning_letter_sent, phone_call, email, in_person_visit, promise_to_pay, payment_plan_created, sent_to_collections, write_off_approved, dispute_logged, dispute_resolved, note.string,null
string,null
string,null
One of
reminder_1, reminder_2, reminder_3, demand_letter, collection_notice.string
required
string,null
string,null
string,null
Decimal promised amount as a string.
string,null
RFC 3339 promised payment date.
Response
ArCollectionActivityResponse
string
required
string,null
string,null
string
required
string
required
string,null
string
required
string
required
string,null
string,null
string,null
string,null
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/ar/collection-activities' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"activity_type": "string",
"contact_method": "string",
"contact_result": "string",
"dunning_letter_type": "string",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"performed_by": "string",
"promise_to_pay_amount": "49.00",
"promise_to_pay_date": "2026-08-31T14:22:05Z"
}'
{
"activity_type": "string",
"contact_method": "string",
"contact_result": "string",
"created_at": "2026-08-31T14:22:05Z",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"dunning_letter_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"performed_by": "string",
"promise_to_pay_amount": "49.00",
"promise_to_pay_date": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026